#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 random-source
version:              0.3.0.11
visibility:           public
id:                   random-source-0.3.0.11-Ltp1N6ljqZMDGIE2YSopls
key:                  random-source-0.3.0.11-Ltp1N6ljqZMDGIE2YSopls
license:              LicenseRef-PublicDomain
maintainer:           James Cook <mokus@deepbondi.net>
author:               James Cook <mokus@deepbondi.net>
stability:            provisional
homepage:             https://github.com/mokus0/random-fu
synopsis:             Generic basis for random number generators
description:
    Random number generation based on entropy sources
    able to produce a small but well-defined set of
    primitive variates.  Also includes facilities for
    \"completing\" partial implementations, making it
    easy to define new entropy sources in a way that
    is naturally forward-compatible.

category:             Math
abi:                  5c221b1a0e5df80db06dbd12ef130956
exposed:              True
exposed-modules:
    Data.Random.Internal.Source Data.Random.Internal.Words
    Data.Random.Source Data.Random.Source.DevRandom
    Data.Random.Source.IO Data.Random.Source.MWC
    Data.Random.Source.PureMT Data.Random.Source.Std
    Data.Random.Source.StdGen

hidden-modules:
    Data.Random.Source.Internal.Prim Data.Random.Source.Internal.TH

import-dirs:          /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.11
library-dirs:         /usr/lib/ghc-9.0.2/site-local/random-source-0.3.0.11
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/haskell-random-source
hs-libraries:         HSrandom-source-0.3.0.11-Ltp1N6ljqZMDGIE2YSopls
depends:
    base-4.15.1.0 flexible-defaults-0.0.3-BoOQrhT8Xi8BtYQTjktsA7
    mersenne-random-pure64-0.2.2.0-IKeOZ7OaxLg4tAQYrysJmd mtl-2.2.2
    mwc-random-0.15.0.2-9mZxxm8Vs7vF9vqXFt6UNl
    primitive-0.7.3.0-H7ArDzjx1emFJWugXBDX59
    random-1.2.1-E3c41PA01kCLyHrUUW2INz
    stateref-0.3-9u9QCRlvo9dHk1YF6aLbH9
    syb-0.7.2.1-ik7SGoPZsVGet7fZLM3W2 template-haskell-2.17.0.0
    th-extras-0.0.0.6-5lDRrutiKOUG2kbN5K2rdv

haddock-interfaces:
    /usr/share/doc/haskell-random-source/html/random-source.haddock

haddock-html:         /usr/share/doc/haskell-random-source/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

